<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Tue Oct 29 10:47:15 CET 2019 -->
<title>DifferenceUtils</title>
<meta name="date" content="2019-10-29">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DifferenceUtils";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DifferenceUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../utils/LoggingUtils.html" title="class in utils"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?utils/DifferenceUtils.html" target="_top">Frames</a></li>
<li><a href="DifferenceUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">utils</div>
<h2 title="Class DifferenceUtils" class="title">Class DifferenceUtils</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>utils.DifferenceUtils</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">DifferenceUtils</span>
extends java.lang.Object</pre>
<div class="block">Utility class that is responsible for operations on differences.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>frborn</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/DifferenceUtils.html#extractStructuralFeature-org.eclipse.emf.compare.Diff-java.lang.String-">extractStructuralFeature</a></span>(org.eclipse.emf.compare.Diff&nbsp;diff,
                        java.lang.String&nbsp;feature)</code>
<div class="block">Extract EStructuralFeature feature of given difference as String.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/DifferenceUtils.html#extractValue-org.eclipse.emf.compare.Diff-">extractValue</a></span>(org.eclipse.emf.compare.Diff&nbsp;diff)</code>
<div class="block">Extract value of EObject.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/DifferenceUtils.html#refinementIndexOfDifference-refinement.model.refinements.Refinements-org.eclipse.emf.compare.Diff-">refinementIndexOfDifference</a></span>(refinement.model.refinements.Refinements&nbsp;refinements,
                           org.eclipse.emf.compare.Diff&nbsp;diff)</code>
<div class="block">Returns index of refinement with a reference that matches referenceID or that valueState
 contains the entityName of the difference.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="extractStructuralFeature-org.eclipse.emf.compare.Diff-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>extractStructuralFeature</h4>
<pre>public static&nbsp;java.lang.String&nbsp;extractStructuralFeature(org.eclipse.emf.compare.Diff&nbsp;diff,
                                                        java.lang.String&nbsp;feature)</pre>
<div class="block">Extract EStructuralFeature feature of given difference as String. First try to get
 EStructuralFeature "value" from given difference and get EStructuralFeature feature as
 String. If EStructuralFeature "value" does not exist or can not be cast, get
 EStructuralFeature feature of diff.getMatch().getLeft() as String.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>diff</code> - Difference</dd>
<dd><code>feature</code> - String of feature name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>EStructuralFeature feature as String</dd>
</dl>
</li>
</ul>
<a name="extractValue-org.eclipse.emf.compare.Diff-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>extractValue</h4>
<pre>public static&nbsp;java.lang.String&nbsp;extractValue(org.eclipse.emf.compare.Diff&nbsp;diff)</pre>
<div class="block">Extract value of EObject.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>diff</code> - Current Difference</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>value attribute as string</dd>
</dl>
</li>
</ul>
<a name="refinementIndexOfDifference-refinement.model.refinements.Refinements-org.eclipse.emf.compare.Diff-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>refinementIndexOfDifference</h4>
<pre>public static&nbsp;int&nbsp;refinementIndexOfDifference(refinement.model.refinements.Refinements&nbsp;refinements,
                                              org.eclipse.emf.compare.Diff&nbsp;diff)</pre>
<div class="block">Returns index of refinement with a reference that matches referenceID or that valueState
 contains the entityName of the difference. Return -1 if no refinement exists.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>refinements</code> - Refinements</dd>
<dd><code>diff</code> - Difference</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Integer index</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DifferenceUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../utils/LoggingUtils.html" title="class in utils"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?utils/DifferenceUtils.html" target="_top">Frames</a></li>
<li><a href="DifferenceUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
